/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Computer LAB1
 * Function  : Read Slide & Convert to RS232 Data[0..255]
 *           : Send RS232 Data[0..255] to Dimmer LED on Arduino
 */
 
import processing.serial.*;
Serial port;                                    // Create object from Serial class
int val;                                        // Data received from the serial port

float mx = 0.0;

void setup() 
{
  //size(200, 200);
  size(350, 100);
  
  noStroke();
  frameRate(10);
  
  //Open Port RS232 Interface to Arduino
  port = new Serial(this, "COM4", 19200);
}

void draw() 
{
  background(0);                                  // Clear background
 
  fill(204);                                      // Gray Colour
  rect(50, (height / 2) - 15, 255, 30);           // Draw square
  
  float dif = mouseX - mx;
  if (abs(dif) > 1.0) 
  {
    mx += dif / 4.0;
  }
  mx = constrain(mx, 65, 290);                    // Keeps marker on the screen
  noStroke();
  
  fill(255,255,255);                              // White Colour
  rect(60, (height / 2) - 5, 235, 10);
 
  fill(255, 0, 0);                                // Red Colour
  rect(mx - 5, (height / 2) - 5, 10, 10);         // Draw the position marker
  int angle = int(map(mx, 65, 290, 0, 255));      // Adjust Scale Value mx to Range 0-255
  
  port.write(angle);                              // Write the angle to the serial port
}

