/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Computer LAB2
 * Hardware  : Receive RS232 Command Toggle LED
 *           : Connect LED to Digital-13
 * Function  : Computer Control Arduino LED ON/OFF
 *           : Receive RS232 data = 0x01 for ON LED
 *           : Receive RS232 data = 0x00 for OFF LED
 */
 
#include "WProgram.h"
void setup();
void loop();
int val; 
int ledPin = 13; 
 
 void setup() 
 {
   pinMode(ledPin, OUTPUT); 
   Serial.begin(19200); 
 }
 
 void loop() 
 { 
   if (Serial.available()) 
   { 
     val = Serial.read(); 
   
     if (val == '1') 
     { 
       digitalWrite(ledPin, HIGH); 
     } 
     else if (val == '0')
     {
       digitalWrite(ledPin, LOW); 
     }
   }  
 }

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

