/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Computer LAB2
 * Function  : Convert Graphic Switch to RS232 ASCII Data['1','0']
 *           : Send RS232 Data[0x31,0x30] to ON/OFF LED on Arduino
 *           : if Mouse Over Graphic  Send '1'(0x31) else Send '0'(0x30)
 */

import processing.serial.*;
Serial port;                                    
int val;        

void setup() 
{
  size(200, 200);
  port = new Serial(this, "COM4", 19200);
}

void draw() 
{
  background(255);
  if (mouseOverRect() == true) 
  { 
    fill(204);                    
    port.write('1');         //ASCII '1' = 0x31     
  } 
  else 
  {                        
    fill(0);                      
    port.write('0');         //ASCII '0' = 0x30         
  }
  rect(50, 50, 100, 100);        
}

boolean mouseOverRect() 
{ 
  return ((mouseX >= 50) && (mouseX <= 150) && (mouseY >= 50) && (mouseY <= 150));
}




