/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Computer LAB3
 * Hardware  : Receive RS232 Command Toggle LED
 *           : Connect LED to Digital-13
 * Function  : Computer Control Arduino LED ON/OFF
 *           : Receive RS232 data = 0x01 for Toggle LED
 */
 
#define ledPin 13                                    //ledPin = Digital Pin-13
bool ledStatus = LOW;

void setup()                                         //Setup Function
{
  pinMode(ledPin, OUTPUT);                           //ledPin = Output
  Serial.begin(19200);                               //Start Serial=19200
}

void loop()                                          //Main Function
{
  if (Serial.available())                            //If Receive Data
  { 
    int val = Serial.read();                         //Read RS232 Data    
    if(val==1)                                       //if Receive Data = 0x01
    {
      digitalWrite(ledPin,(ledStatus=!ledStatus));   //Toggle LED
    }
  } 
}
