/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Computer LAB4
 * Function  : Receive RS232 Data[0..255] From Arduino & Draw Bargraph Scale
 */
 
import processing.serial.*;                 // RS232 Interface
Serial port;                                // Create object from Serial class
int val;                                    // Data received from the serial port

void setup() 
{
  size(350, 100);
  frameRate(10);
  
  //Open Port RS232 Interface to Arduino
  port = new Serial(this, "COM4", 19200);
}

void draw() 
{
  background(0);                           //Clear background
  fill(255,255,255);                       //White Colour
  rect(50, (height / 2) - 15, 255, 25);    //Draw Square
  
  if (port.available() > 0)                //Wait RS232 Receive
  {  
    val = port.read();                     //Read RS232 Data

    fill(255,0,0);                         //Red Colour
    rect(50, (height / 2) - 15, val, 25);  //Graph[0..255]
  }
}

