import processing.core.*; 
import processing.xml.*; 

import processing.serial.*; 

import java.applet.*; 
import java.awt.*; 
import java.awt.image.*; 
import java.awt.event.*; 
import java.io.*; 
import java.net.*; 
import java.text.*; 
import java.util.*; 
import java.util.zip.*; 
import java.util.regex.*; 

public class Processing_Analog_Display_Bar extends PApplet {

/*
 * Program   : Analog_Dimmer_LED
 * Hardware  : Receive RS232 Data[0..255]
 *           : Connect LED to Digital-9
 * Function  : Read RS232 Data[0..255] & Dimmer LED
 */
 
   // RS232 Interface
Serial port;                  // Create object from Serial class
int val;                      // Data received from the serial port

public void setup() 
{
  size(350, 100);
  frameRate(10);
  
  //Open the port that the board is connected to and use the same speed (9600 bps)
  //port = new Serial(this, 9600);
  //I know that the first port in the serial list on my mac
  //is always my  FTDI adaptor, so I open Serial.list()[0].
  //On Windows machines, this generally opens COM1.
  //Open whatever port is the one you're using.
  //String portName = Serial.list()[1];
  //port = new Serial(this, portName, 9600);
  port = new Serial(this, "COM4", 19200);
}

public void draw() 
{
  background(0);                           // Clear background
  fill(255,255,255);                       // White
  rect(50, (height / 2) - 15, 255, 25);    // Draw square
  
  if (port.available() > 0) 
  {  
    val = port.read();                     // read it and store it in val

    fill(255,0,0);                         //Red
    rect(50, (height / 2) - 15, val, 25);  //Graph[0..255]
  }
}


  static public void main(String args[]) {
    PApplet.main(new String[] { "--bgcolor=#ece9d8", "Processing_Analog_Display_Bar" });
  }
}
