/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Hardware LAB1.6
 * Hardware  : ET-BASE AVR EASY MEGA88/168(Arduino)
 * Function  : LED Moving Pin on Digital[8..13]
 */

int  ledPin[]={8,9,10,11,12,13};                     //Array LED Pin Buffer

void setup()                     
{
  for (int i = 0; i<sizeof(ledPin)/sizeof(int); i++) //Counter 0..Size of Array
  {
    pinMode(ledPin[i], OUTPUT);                      //ledPin[] = Output
    digitalWrite(ledPin[i],HIGH);                    //ledPin = HIGH
  }
}

void loop()                                          //Main Function
{
  for (int i = 0; i<sizeof(ledPin)/sizeof(int); i++) //Counter 0..Size of Array                 
  {
    digitalWrite(ledPin[i],LOW);                     //LED = ON                        
    delay(250);                                      //Wait 250mS(0.25 Second)
    digitalWrite(ledPin[i],HIGH);                    //LED = OFF 
  }
} 
