/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Hardware LAB10.2
 * Hardware  : ET-BASE AVR EASY MEGA88/168(Arduino)
 *           : RC Servo Motor -> Digital-10
 *           : Volume -> Analog-0
 * Function  : Used Analog-0 Adjust Servo Position 0..180 
 */
  
#include <ET_SERVO.h>                   //used Servo Library
 
int   Volume = 0;                       //Volume = Analog Pin-0
int   ServoPin = 10;                    //used Digital-10 to Control Servo
int   val;
ET_SERVO Servo1;                        //Create Servo Object to Control Servo

void setup() 
{ 
  Servo1.attach(ServoPin,1000,2000);    //attaches Servo to Pin[1mS..2mS]
} 
 
void loop() 
{ 
  val = analogRead(Volume);            //Read Analog Level & Convert to val[0..1023]
  val = map(val, 0, 1023, 1000, 2000); //Convert 0..1023 to 1000..2000
  Servo1.updateDutyCycle(val);         //Update Servo Position(1mS..2mS) 
  delay(18);                           //Waits 18ms for Servo to reach the position 
} 
