/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Hardware LAB2.1
 * Hardware  : ET-BASE AVR EASY MEGA88/168(Arduino)
 *           : Connect Volume to Analog-0
 *           : Connect LED to Digital-9
 * Function  : Read Analog & Dimmer LED
 */
 
#include "WProgram.h"
void setup();
void loop();
int  ledPin = 9;                                //ledPin = Digital Pin-9
int  Volume = 0;                                //Volume = Analog Pin-0

void setup()                                    //Setup Function
{
  pinMode(ledPin, OUTPUT);                      //ledPin = Output
}

void loop()                                     //Main Function
{ 
  int val = analogRead(Volume);
  val = map(val, 0, 1023, 0, 255);              //Convert 0..1023 to 0..255
  analogWrite(ledPin,val);                      //Dimmer LED = 0..255 Scale
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

