/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Hardware LAB2.4
 * Hardware  : ET-BASE AVR EASY MEGA88/168(Arduino)
 *           : Connect Volume to Analog-0
 *           : Connect LED to 74HC595 Output
 * Function  : Read Analog & Output Bar LED
 */
 
#include "WProgram.h"
void setup();
void loop();
int DIN   = 4;                                  //74HC595 DIN Pin
int LATCH = 7;                                  //74HC595 LATCH Pin
int CLOCK = 8;                                  //74HC595 CLOCK Pin
int Volume = 0;                                 //Volume = Analog Pin-0

int led[8]={0x01,0x03,0x07,0x0F,0x1F,0x3F,0x7F,0xFF};

void setup()                                    //Setup Function
{
  pinMode(DIN, OUTPUT);                         //Pin-14 of 74HC595
  pinMode(CLOCK, OUTPUT);                       //Pin-11 of 74HC595
  pinMode(LATCH, OUTPUT);                       //Pin-12 of 74HC595
}

void loop()                                     //Main Function
{ 
  int val = analogRead(Volume);
  val = map(val, 0, 1023, 0, 7);                //Convert 0..1023 to 0..7
  
  digitalWrite(LATCH, LOW);                     // Prepared Latch
  shiftOut(DIN, CLOCK, MSBFIRST,~led[val]);     // Shift-Out 8 Bit Data(Invert Logic : "0"=ON , "1"=OFF)   
  digitalWrite(LATCH, HIGH);                    // Latch 74HC595 Output
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

