/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Hardware LAB4.1
 * Hardware  : ET-BASE AVR EASY MEGA88/168(Arduino)
 * Function  : Basic Sound Beep on Degital-3
 */

#define SpeakerPin 3                  //Digital-3 Drive Speaker
#include "WProgram.h"
void setup();
void loop();
long Beep;                            //Beep Time Counter

void setup()                          //Setup Function
{
  pinMode(SpeakerPin, OUTPUT);        //Speaker = Output
}

void loop()                           //Main Function
{
  Beep = millis();                    //Re-Start Beep Time
  do
  {
    digitalWrite(SpeakerPin,HIGH);    //1KHz High Pulse (500uS)
    delayMicroseconds(500);
    digitalWrite(SpeakerPin,LOW);     //1KHz Low Pulse  (500uS)
    delayMicroseconds(500);
  } while((millis() - Beep) < 250);   //Generate Sound Beep = 250mS
  
  delay(250);                         //Stop Sound Beep = 250mS
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

