/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Computer LAB3
 * Hardware  : Connect Volume to Analog-0
 *           : Connect LED to Digital-9
 *           : Connect LED to Digital-13
 * Function  : Arduino Display Bargraph on Computer
 *           : Read Analog & Dimmer LED,Send Data[0..255] to PC
 */
#include "WProgram.h"
void setup();
void loop();
int  ledPin1 = 9;                               //Dimmer LED
int  ledPin2 = 13;                              //Status LED
int  Volume  = 0;                               //Volume = Analog Pin-0
boolean ledStatus=LOW;

void setup()                                    //Setup Function
{
  pinMode(ledPin1, OUTPUT);                     //ledPin1 = Output
  pinMode(ledPin2, OUTPUT);                     //ledPin2 = Output
  Serial.begin(19200);                          //Start Serial=19200
}

void loop()                                     //Main Function
{ 
  int val = analogRead(Volume);
  val = map(val, 0, 1023, 0, 255);              //Convert 0..1023 to 0..255
  analogWrite(ledPin1,val);                     //Display LED Dimmer Status
  Serial.print(val,BYTE);                       //Dimmer LED = 0..255 Scale 
  digitalWrite(ledPin2,(ledStatus=!ledStatus)); //Toggle Status LED  
  delay(100);                                   //Byte Delay
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

