/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Hardware LAB11.2
 * Hardware  : ET-BASE AVR EASY MEGA88/168(Arduino) 
 * Function  : Write/Read Internal FLASH & Print to RS232
 */

#include <avr/pgmspace.h>                             //Used Internal EEPROM Library

#include "WProgram.h"
void setup();
void loop();
char line[]         = "=================================================";
char msg1[] PROGMEM = "This is Flash String";
               
void setup()                                          //Setup Function
{
  Serial.begin(19200);                                //Initial RS232 Baud = 19200    
  Serial.println();
  Serial.println("Demo Accress Program(Code) Memory");
  Serial.println();
}

void loop()
{ 
  //Read Flash By Copy Flash to RAM
  Serial.println(line);
  Serial.println("Read Byte by Byte Flash Used...Copy Flah to RAM");
  char buff;
  Serial.print(">");
  for (int i=0; i<sizeof(msg1)-1; i++)
  {
    strcpy_P(&buff, &msg1[i]);
    Serial.print(buff);  
  }
  Serial.println();
  Serial.println(line);
  
  Serial.println("Read Byte by Byte Flash Used...\"pgm_read_byte\"");
  Serial.print(">");
  for (int i=0; i<sizeof(msg1)-1; i++)
  {
    char x = pgm_read_byte(&msg1[i]);    
    Serial.print(x);
  }
  Serial.println();
  Serial.println(line);
  
  Serial.println("Read Byte by Byte Flash Used...RAM Pointer");
  char *ptr1 = &msg1[0];              //var RAM Pointer
  Serial.print(">");
  for (int i=0; i<sizeof(msg1)-1; i++)
  {
    char x = pgm_read_byte(&(*ptr1)+i);
    Serial.print(x);
  }
  Serial.println();
  Serial.println(line);
  
  Serial.println("Read Byte by Byte Flash Used...Flash Pointer");
  char *ptr2 PROGMEM = &msg1[0];      //var Flash Pointer
  Serial.print(">");
  for (int i=0; i<sizeof(msg1)-1; i++)
  {
    char x = pgm_read_byte(&(*ptr2)+i);
    Serial.print(x);
  }
  Serial.println();
  Serial.println(line);
  
  while(1);
}


int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

