/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Hardware LAB2.3
 * Hardware  : ET-BASE AVR EASY MEGA88/168(Arduino)
 *           : Connect Volume to Analog-0
 *           : Connect LED to Digital[8..13]
 * Function  : Read Analog & Output Bar LED
 */
 
#include "WProgram.h"
void setup();
void loop();
int Volume = 0;                                       //Volume = Analog Pin-0
int led;
int ledPin[]={8,9,10,11,12,13};                       //Array LED Pin Buffer
int ledBar[]={0x01,0x03,0x07,0x0F,0x1F,0x3F};

void setup()                                          //Setup Function
{
  for (int i = 0; i<sizeof(ledPin)/sizeof(int); i++) //Counter 0..Size of Array
  {
    pinMode(ledPin[i], OUTPUT);                       //ledPin[] = Output
    digitalWrite(ledPin[i],HIGH);                     //ledPin = HIGH
  }
}

void loop()                                     //Main Function
{ 
  int val = analogRead(Volume);
  val = map(val, 0, 1023, 0, 5);                //Convert 0..1023 to 0..7
  led = ledBar[val];
  
  for (int i = 0; i<sizeof(ledPin)/sizeof(int); i++) //Counter 0..Size of Array      
  {
    digitalWrite(ledPin[i],(led>>(sizeof(ledPin)/sizeof(int))-i));           
  }
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

