/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Hardware LAB6.1
 * Hardware  : ET-BASE AVR EASY MEGA88/168(Arduino)
 *           : ET-MINI DC MOTOR(L293D + DC Motor)
 *           : -> IN1 = Digital-5(PD5) = Digital Output
 *           : -> EN  = Digital-6(PD6) = PWM Output
 *           : -> IN2 = Digital-7(PD7) = Digital Output
 * Function  : DC Moto Speed Control Fix Direction
 *           : Read Analog & Control Speed Motor
 *           : Analog-0   = Volumr  -> Generate Speed Level
 *           : Digital-5  = L293D   -> Direction Control
 *           : Digital-7  = L293D   -> Direction Control
 *           : Digital-6  = L293D   -> Control DC Motor Speed 
 */
 
#include "WProgram.h"
void setup();
void loop();
int Volume = 0;                                         //Analog Volume Adjust Speed
int IN1 = 5;                                            //L293D  Direction-1
int EN  = 6;                                            //L293D  PWM Enable Control Speed
int IN2 = 7;                                            //L293D  Direction-2

void setup()
{
  pinMode(IN1, OUTPUT);                                 //IN1 = Output
  pinMode(EN, OUTPUT);                                  //EN  = Output
  pinMode(IN2, OUTPUT);                                 //IN2 = Output
  
  digitalWrite(IN1, LOW);                               //Direction = Left
  digitalWrite(IN2, HIGH);
}

void loop()                                             //Main Function
{ 
  int val = map(analogRead(Volume), 0, 1023, 0, 255);   //Read Convert 0..1023 to 0..255
  analogWrite(EN,val);                                  //Speed Motor = 0..255 Scale
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

