/*
 * Examples  : Arduino Experiment Examples By....ETT CO.,LTD
 * Program   : Software LAB22
 * Hardware  : ET-BASE AVR EASY MEGA88/168(Arduino)  
 * Function  : Demo Function Math Examples
 */

/*
 * Convert Double to ASCII Decimal Number
 */
char* DoubleToAscii(double num)
{
  char ascii[32];
  int frac;
  
  frac=(int)(num*1000)%1000;                   //Get 3 Digit of of Deciaml Point
  itoa((int)num,ascii,10);                     //Convert Interger to ASCII (Decimal Base)
  strcat(ascii,".");
  itoa(frac,&ascii[strlen(ascii)],10);         //Convert frac. to ASCII (Decimal Base) 

  return ascii;
}

void setup() 
{ 
  Serial.begin(19200); 
  Serial.println("=======================");
  Serial.println("Demo : Function Math...");
  Serial.println("=======================");
} 
  
void loop() 
{   
  Serial.print("Value of pow(10,2) = ");
  Serial.println((long)pow(10.0,2.0));   
  Serial.print("Value of pow(5,3) = ");
  Serial.println((long)pow(5.0,3.0));
  Serial.println();
  
  Serial.print("Value of sqrt(2) = ");
  Serial.println(DoubleToAscii(sqrt(2.0)));   
  Serial.print("Value of sqrt(25) = ");
  Serial.println(DoubleToAscii(sqrt(25.0)));   
  Serial.println();
  
  Serial.print("Value of sin(0) = ");
  Serial.println(DoubleToAscii(sin(0.0*3.14159/180)));  
  Serial.print("Value of sin(45) = ");
  Serial.println(DoubleToAscii(sin(45.0*3.14159/180)));    
  Serial.print("Value of sin(90) = ");
  Serial.println(DoubleToAscii(sin(90.0*3.14159/180)));  
  Serial.print("Value of sin(135) = ");
  Serial.println(DoubleToAscii(sin(135.0*3.14159/180)));     
  Serial.print("Value of sin(180) = ");
  Serial.println(DoubleToAscii(sin(180.0*3.14159/180))); 
  Serial.print("Value of sin(225) = ");
  Serial.println(DoubleToAscii(sin(225.0*3.14159/180))); 
  Serial.print("Value of sin(270) = ");
  Serial.println(DoubleToAscii(sin(270.0*3.14159/180))); 
  Serial.print("Value of sin(315) = ");
  Serial.println(DoubleToAscii(sin(315.0*3.14159/180))); 
  Serial.print("Value of sin(360) = ");
  Serial.println(DoubleToAscii(sin(360.0*3.14159/180))); 
  Serial.println("=======================");     
  while(1);
} 
